OpenShot Audio Library | OpenShotAudio: juce::MessageManager::MessageBase Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::MessageManager::MessageBase Class Referenceabstract

`#include <juce_MessageManager.h>`

Inheritance diagram for juce::MessageManager::MessageBase:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<MessageBase>

## Public Member Functions
virtual void | messageCallback ()=0
bool | post ()
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

Internal class used as the base class for all message objects. You shouldn't need to use this directly - see the CallbackMessage or Message classes instead.

Definition at line 181 of file juce_MessageManager.h.

## Member Typedef Documentation

## ◆ Ptr

using juce::MessageManager::MessageBase::Ptr = ReferenceCountedObjectPtr<MessageBase>

Definition at line 190 of file juce_MessageManager.h.

## Member Function Documentation

## ◆ messageCallback()

virtual void juce::MessageManager::MessageBase::messageCallback | ( |  | ) |
| pure virtual

Implemented in juce::CallbackMessage.

## ◆ post()

bool juce::MessageManager::MessageBase::post | ( |  | ) |

Definition at line 69 of file juce_MessageManager.cpp.

The documentation for this class was generated from the following files:

- juce_MessageManager.h
- juce_MessageManager.cpp